Delete UsageSavedQuery
curl --request DELETE \
--url https://api.m3ter.com/organizations/{orgId}/usage/savedqueries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/usage/savedqueries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/usage/savedqueries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"name": "<string>",
"usageQuery": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"meterIds": [
"<string>"
],
"accountIds": [
"<string>"
],
"dimensionFilters": [
{
"meterId": "<string>",
"fieldCode": "<string>",
"values": [
"<string>"
]
}
],
"aggregations": [
{
"meterId": "<string>",
"fieldCode": "<string>",
"fieldType": "<unknown>",
"function": "<unknown>"
}
],
"groups": [
{}
],
"limit": 10000
}
}{
"message": "<string>"
}{
"message": "<string>"
}Delete UsageSavedQuery
Delete the UsageSavedQuery for the given UUID.
DELETE
/
organizations
/
{orgId}
/
usage
/
savedqueries
/
{id}
Delete UsageSavedQuery
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The UUID of the UsageSavedQuery to update.
Response
Return the deleted UsageSavedQuery
Request representing a usage saved query
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
Name of the saved query
Show child attributes
Show child attributes
⌘I